org.apache.solr.client.solrj.io.stream.expr

## Interface Expressible

All Known Subinterfaces:
  ReduceOperation, StreamComparator, StreamEqualitor, StreamOperation

All Known Implementing Classes:
  BiJoinStream, CloudSolrStream, ComplementStream, ConcatOperation, CountMetric, DaemonStream, DistinctOperation, FacetStream, FieldComparator, FieldEqualitor, GroupOperation, HashJoinStream, InnerJoinStream, IntersectStream, JDBCStream, JoinStream, LeftOuterJoinStream, MaxMetric, MeanMetric, MergeStream, Metric, MinMetric, MultipleFieldComparator, MultipleFieldEqualitor, OuterHashJoinStream, ParallelStream, PushBackStream, RankStream, ReducerStream, ReplaceOperation, ReplaceWithFieldOperation, ReplaceWithValueOperation, RollupStream, SelectStream, StatsStream, SumMetric, TopicStream, UniqueStream, UpdateStream

    public interface Expressible

Defines a stream that can be expressed in an expression

### Method Summary

All Methods Instance Methods Abstract Methods
`StreamExpressionParameter` `toExpression(StreamFactory factory)`

### Method Detail

#### toExpression

    StreamExpressionParameter toExpression(StreamFactory factory)
                                    throws IOException

Throws:
  `IOException`